Create or update product with EPC IDs
curl --request POST \
--url https://app.buylo.ai/api/products/create-with-epc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"epc_id": [
"aaa1234",
"bbb1234",
"ccc1234"
],
"product": {
"product_id": "ABC123",
"name": {
"en": "Brazil Santos Coffee",
"cs": "Brazilská káva Santos"
},
"category": "Coffee",
"description": {
"en": "Roasted Arabica coffee beans from Brazil",
"cs": "Pražená arabica z Brazílie"
},
"ean": "8591234567890",
"brand": "CoffeeCo",
"prices": [
{
"currency": "EUR",
"price": 199.99
},
{
"currency": "CZK",
"price": 4999
}
],
"vat_rate": 21,
"unit": "kg",
"product_data": {
"color": "red",
"size": "L"
}
},
"location_id": 1
}
'import requests
url = "https://app.buylo.ai/api/products/create-with-epc"
payload = {
"epc_id": ["aaa1234", "bbb1234", "ccc1234"],
"product": {
"product_id": "ABC123",
"name": {
"en": "Brazil Santos Coffee",
"cs": "Brazilská káva Santos"
},
"category": "Coffee",
"description": {
"en": "Roasted Arabica coffee beans from Brazil",
"cs": "Pražená arabica z Brazílie"
},
"ean": "8591234567890",
"brand": "CoffeeCo",
"prices": [
{
"currency": "EUR",
"price": 199.99
},
{
"currency": "CZK",
"price": 4999
}
],
"vat_rate": 21,
"unit": "kg",
"product_data": {
"color": "red",
"size": "L"
}
},
"location_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
epc_id: ['aaa1234', 'bbb1234', 'ccc1234'],
product: {
product_id: 'ABC123',
name: {en: 'Brazil Santos Coffee', cs: 'Brazilská káva Santos'},
category: 'Coffee',
description: {
en: 'Roasted Arabica coffee beans from Brazil',
cs: 'Pražená arabica z Brazílie'
},
ean: '8591234567890',
brand: 'CoffeeCo',
prices: [{currency: 'EUR', price: 199.99}, {currency: 'CZK', price: 4999}],
vat_rate: 21,
unit: 'kg',
product_data: {color: 'red', size: 'L'}
},
location_id: 1
})
};
fetch('https://app.buylo.ai/api/products/create-with-epc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_epc_hashes": [
"8aaedfc3559d0ce545ca55bcea31aad2",
"2b1c7f8c2aab4e33a5e09a2d77f3b611",
"a7d9c4e8b3f2a1c5e7b9d4f8a2c6e9b1"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Products
Create or update product with EPC IDs
Creates a new product or updates an existing product and assigns multiple EPC IDs to it. All provided EPC IDs must be new (not already assigned to any product). If a product with the given product_id already exists, it will be updated with the new data.
POST
/
api
/
products
/
create-with-epc
Create or update product with EPC IDs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of EPC identifiers to assign to the product (must all be new)
Minimum array length:
1Example:
["aaa1234", "bbb1234", "ccc1234"]Show child attributes
Show child attributes
Optional location ID to immediately assign all created EPCs to (sets latest_location_id). If omitted or null, EPCs are created without a location.
Example:
1
Response
Product created/updated and EPCs assigned successfully
List of unique EPC hashes for newly created EPCs
Example:
[
"8aaedfc3559d0ce545ca55bcea31aad2",
"2b1c7f8c2aab4e33a5e09a2d77f3b611",
"a7d9c4e8b3f2a1c5e7b9d4f8a2c6e9b1"
]⌘I